NFS Contact¶
NFS Contact - Update Contact¶
HTTP Request
PUT /api/nfs-contacts/{id}
📋 Description: Updates the specified NFS contact details within the Nakisa Portfolio Management Suite, enabling accurate management of portfolio and asset information related to real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing the updated contact information for a specific NFS contact, including details relevant to portfolio management and asset analytics. |
Body Parameters
1{
2 "id": 0,
3 "displayId": "string",
4 "name": "string",
5 "position": "string",
6 "email": "string",
7 "phone": "string",
8 "address": "string",
9 "description": "string",
10 "group": "string",
11 "buildingName": "string",
12 "fax": "string",
13 "numberRangeIdentifierType": {
14 "name": "string"
15 },
16 "numberRangeIdentifierValue": "string",
17 "allowsSystemGenerateNewId": true,
18 "numberRangeType": {
19 "name": "string"
20 }
21}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "id": 0,
3 "displayId": "string",
4 "name": "string",
5 "position": "string",
6 "email": "string",
7 "phone": "string",
8 "address": "string",
9 "description": "string",
10 "group": "string",
11 "buildingName": "string",
12 "fax": "string",
13 "numberRangeIdentifierType": {
14 "name": "string"
15 },
16 "numberRangeIdentifierValue": "string",
17 "allowsSystemGenerateNewId": true,
18 "numberRangeType": {
19 "name": "string"
20 }
21}